Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Interface Processor

    public interface Processor

Processor. Not really used, should be deprecated.

Author:
  Remy Maucherat

Method Summary
`Adapter` | `getAdapter()`
`void` | `process(java.io.InputStream input, java.io.OutputStream output)`
`void` | `setAdapter(Adapter adapter)`

Method Detail

### setAdapter

    void setAdapter(Adapter adapter)

### getAdapter

    Adapter getAdapter()

### process

    void process(java.io.InputStream input,
                 java.io.OutputStream output)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.